Runtime

## org.eclipse.gmf.runtime.common.ui.services.editor
Interface IEditorProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  AbstractEditorProvider, EditorService

public interface IEditorProvider
extends IProvider

An interface for manipulating editors

Method Summary
`IEditorPart` `openEditor(IEditorInput editorInput)` Opens an editor with the given editor input

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### openEditor

    public IEditorPart openEditor(IEditorInput editorInput)

  Opens an editor with the given editor input

  Parameters:
    `editorInput` - the editor input object
  Returns:
    the opened IEditorPart

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.